Package org.flowable.engine.interceptor

# Class StartSubProcessInstanceBeforeContext

java.lang.Object
org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext
org.flowable.engine.interceptor.StartSubProcessInstanceBeforeContext

public class StartSubProcessInstanceBeforeContext extends AbstractStartProcessInstanceBeforeContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.flowable.engine.impl.persistence.entity.ExecutionEntity`
  `callActivityExecution`
  `protected boolean`
  `inheritVariables`
  `protected List<IOParameter>`
  `inParameters`

  ### Fields inherited from class org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext

  `businessKey, businessStatus, initialActivityId, initialFlowElement, process, processDefinition, processInstanceName, transientVariables, variables`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartSubProcessInstanceBeforeContext()`
  `StartSubProcessInstanceBeforeContext(String businessKey, String businessStatus, String processInstanceName, Map<String,Object> variables, Map<String,Object> transientVariables, org.flowable.engine.impl.persistence.entity.ExecutionEntity callActivityExecution, List<IOParameter> inParameters, boolean inheritVariables, String initialActivityId, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.flowable.engine.impl.persistence.entity.ExecutionEntity`
  `getCallActivityExecution()`
  `List<IOParameter>`
  `getInParameters()`
  `boolean`
  `isInheritVariables()`
  `void`
  `setCallActivityExecution(org.flowable.engine.impl.persistence.entity.ExecutionEntity callActivityExecution)`
  `void`
  `setInheritVariables(boolean inheritVariables)`
  `void`
  `setInParameters(List<IOParameter> inParameters)`

  ### Methods inherited from class org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext

  `getBusinessKey, getBusinessStatus, getInitialActivityId, getInitialFlowElement, getProcess, getProcessDefinition, getProcessInstanceName, getTransientVariables, getVariables, setBusinessKey, setInitialActivityId, setInitialFlowElement, setProcess, setProcessDefinition, setProcessInstanceName, setTransientVariables, setVariables`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### callActivityExecution

    protected org.flowable.engine.impl.persistence.entity.ExecutionEntity callActivityExecution

  - ### inParameters

    protected List<IOParameter> inParameters

  - ### inheritVariables

    protected boolean inheritVariables

- ## Constructor Details

  - ### StartSubProcessInstanceBeforeContext

    public StartSubProcessInstanceBeforeContext()

  - ### StartSubProcessInstanceBeforeContext

    public StartSubProcessInstanceBeforeContext(String businessKey, String businessStatus, String processInstanceName, Map<String,Object> variables, Map<String,Object> transientVariables, org.flowable.engine.impl.persistence.entity.ExecutionEntity callActivityExecution, List<IOParameter> inParameters, boolean inheritVariables, String initialActivityId, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition)

- ## Method Details

  - ### getCallActivityExecution

    public org.flowable.engine.impl.persistence.entity.ExecutionEntity getCallActivityExecution()

  - ### setCallActivityExecution

    public void setCallActivityExecution(org.flowable.engine.impl.persistence.entity.ExecutionEntity callActivityExecution)

  - ### getInParameters

    public List<IOParameter> getInParameters()

  - ### setInParameters

    public void setInParameters(List<IOParameter> inParameters)

  - ### isInheritVariables

    public boolean isInheritVariables()

  - ### setInheritVariables

    public void setInheritVariables(boolean inheritVariables)